# 86. Abfrage: „Farms“ abrufen

Das Folgende skizziert die grundlegende GraphQL-Abfrage, die verwendet wird, um alle dem Benutzer zugänglichen „Betriebe“ abzurufen:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarms {
  getFarms {
    uuid
    userUuid
    name
    farmOwnership
    externalKey
    ownerEmail
    Erstellungsdatum
    updatedDate
  }
}
```

{% endcode %}

Zusätzlich zu anderen Parametern können Sie die `farmUuids` und `externalKeys` Filter verwenden, um Ihre Antwort anzupassen. Diese Filter können unabhängig oder in Kombination angewendet werden, um eine gezieltere Datenerfassung zu ermöglichen.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    name
    farmOwnership
    externalKey
    ownerEmail
    Erstellungsdatum
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/86.-abfrage-farms-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
